Package com.independentsoft.calc.functions

# Class SpecialMath

java.lang.Object
com.independentsoft.calc.functions.SpecialMath

public final class SpecialMath extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static double`
  `betaPdf​(double x, double a, double b)`
  `static double`
  `binomCdf​(double k, double n, double p)`
  `static double`
  `binomPmf​(double k, double n, double p)`
  `static double`
  `chiSqCdf​(double x, double df)`
  `static double`
  `chiSqPdf​(double x, double df)`
  `static double`
  `chiSqRight​(double x, double df)`
  `static double`
  `erf​(double x)`
  `static double`
  `erfc​(double x)`
  `static double`
  `fDistPdf​(double f, double d1, double d2)`
  `static double`
  `fDistRight​(double f, double d1, double d2)`
  `static double`
  `gamma​(double x)`
  `static double`
  `gammaCdf​(double x, double alpha, double beta)`
  `static double`
  `gammaPdf​(double x, double alpha, double beta)`
  `static double`
  `incBeta​(double a, double b, double x)`
  `static double`
  `incGammaP​(double a, double x)`
  `static double`
  `incGammaQ​(double a, double x)`
  `static double`
  `inverseByBisection​(DoubleUnaryOperator cdf, double p, double lo, double hi)`
  `static double`
  `lnBinomCoeff​(double n, double k)`
  `static double`
  `lnGamma​(double x)`
  `static double`
  `normSDist​(double z)`
  `static double`
  `normSInv​(double p)`
  `static double`
  `normSPdf​(double z)`
  `static double`
  `tDistCdf​(double t, double df)`
  `static double`
  `tDistPdf​(double t, double df)`
  `static double`
  `tDistRight​(double t, double df)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### lnGamma

    public static double lnGamma​(double x)

  - ### gamma

    public static double gamma​(double x)

  - ### incGammaP

    public static double incGammaP​(double a, double x)

  - ### incGammaQ

    public static double incGammaQ​(double a, double x)

  - ### incBeta

    public static double incBeta​(double a, double b, double x)

  - ### erf

    public static double erf​(double x)

  - ### erfc

    public static double erfc​(double x)

  - ### normSDist

    public static double normSDist​(double z)

  - ### normSPdf

    public static double normSPdf​(double z)

  - ### normSInv

    public static double normSInv​(double p)

  - ### inverseByBisection

    public static double inverseByBisection​(DoubleUnaryOperator cdf, double p, double lo, double hi)

  - ### tDistRight

    public static double tDistRight​(double t, double df)

  - ### tDistCdf

    public static double tDistCdf​(double t, double df)

  - ### tDistPdf

    public static double tDistPdf​(double t, double df)

  - ### fDistRight

    public static double fDistRight​(double f, double d1, double d2)

  - ### fDistPdf

    public static double fDistPdf​(double f, double d1, double d2)

  - ### chiSqRight

    public static double chiSqRight​(double x, double df)

  - ### chiSqCdf

    public static double chiSqCdf​(double x, double df)

  - ### chiSqPdf

    public static double chiSqPdf​(double x, double df)

  - ### gammaCdf

    public static double gammaCdf​(double x, double alpha, double beta)

  - ### gammaPdf

    public static double gammaPdf​(double x, double alpha, double beta)

  - ### betaPdf

    public static double betaPdf​(double x, double a, double b)

  - ### lnBinomCoeff

    public static double lnBinomCoeff​(double n, double k)

  - ### binomPmf

    public static double binomPmf​(double k, double n, double p)

  - ### binomCdf

    public static double binomCdf​(double k, double n, double p)